## org.apache.lucene.demo.html
Class HTMLParser

    java.lang.Object
      org.apache.lucene.demo.html.HTMLParser

All Implemented Interfaces:
  HTMLParserConstants

    public class HTMLParser

extends java.lang.Object
implements HTMLParserConstants

Field Summary
`Token` `jj_nt` Next token.
`static int` `SUMMARY_LENGTH`
`Token` `token` Current token.
`HTMLParserTokenManager` `token_source` Generated Token Manager.

Fields inherited from interface org.apache.lucene.demo.html.HTMLParserConstants

`AfterEquals, ArgEquals, ArgName, ArgQuote1, ArgQuote2, ArgValue, CloseQuote1, CloseQuote2, Comment1, Comment2, CommentEnd1, CommentEnd2, CommentText1, CommentText2, DeclName, DEFAULT, Entity, EOF, HEX, LET, NUM, Punct, Quote1Text, Quote2Text, ScriptEnd, ScriptStart, ScriptText, SP, Space, TagEnd, TagName, tokenImage, WithinComment1, WithinComment2, WithinQuote1, WithinQuote2, WithinScript, WithinTag, Word`

Constructor Summary
`HTMLParser(java.io.File file)` Deprecated. Use HTMLParser(FileInputStream) instead
`HTMLParser(HTMLParserTokenManager tm)` Constructor with generated Token Manager.
`HTMLParser(java.io.InputStream stream)` Constructor with InputStream.
`HTMLParser(java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
`HTMLParser(java.io.Reader stream)` Constructor.

Method Summary
`Token` `ArgValue()`
`void` `CommentTag()`
`Token` `Decl()`
`void` `disable_tracing()` Disable tracing.
`void` `enable_tracing()` Enable tracing.
`ParseException` `generateParseException()` Generate ParseException.
`java.util.Properties` `getMetaTags()`
`Token` `getNextToken()` Get the next Token.
`java.io.Reader` `getReader()`
`java.lang.String` `getSummary()`
`java.lang.String` `getTitle()`
`Token` `getToken(int index)` Get the specific Token.
`void` `HTMLDocument()`
`void` `ReInit(HTMLParserTokenManager tm)` Reinitialise.
`void` `ReInit(java.io.InputStream stream)` Reinitialise.
`void` `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
`void` `ReInit(java.io.Reader stream)` Reinitialise.
`void` `ScriptTag()`
`void` `Tag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUMMARY_LENGTH

    public static int SUMMARY_LENGTH

### token_source

    public HTMLParserTokenManager token_source

  Generated Token Manager.

### token

    public Token token

  Current token.

### jj_nt

    public Token jj_nt

  Next token.

Constructor Detail

### HTMLParser

    public HTMLParser(java.io.File file)
               throws java.io.FileNotFoundException

  Deprecated. Use HTMLParser(FileInputStream) instead

  Throws:
    `java.io.FileNotFoundException`

### HTMLParser

    public HTMLParser(java.io.InputStream stream)

  Constructor with InputStream.

### HTMLParser

    public HTMLParser(java.io.InputStream stream,
                      java.lang.String encoding)

  Constructor with InputStream and supplied encoding

### HTMLParser

    public HTMLParser(java.io.Reader stream)

  Constructor.

### HTMLParser

    public HTMLParser(HTMLParserTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### getTitle

    public java.lang.String getTitle()
                              throws java.io.IOException,
                                     java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### getMetaTags

    public java.util.Properties getMetaTags()
                                     throws java.io.IOException,
                                            java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### getSummary

    public java.lang.String getSummary()
                                throws java.io.IOException,
                                       java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### HTMLDocument

    public final void HTMLDocument()
                            throws ParseException,
                                   java.io.IOException

  Throws:
    `ParseException`
    `java.io.IOException`

### Tag

    public final void Tag()
                   throws ParseException,
                          java.io.IOException

  Throws:
    `ParseException`
    `java.io.IOException`

### ArgValue

    public final Token ArgValue()
                         throws ParseException

  Throws:
    `ParseException`

### Decl

    public final Token Decl()
                     throws ParseException

  Throws:
    `ParseException`

### CommentTag

    public final void CommentTag()
                          throws ParseException

  Throws:
    `ParseException`

### ScriptTag

    public final void ScriptTag()
                         throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

  Reinitialise.

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

  Reinitialise.

### ReInit

    public void ReInit(java.io.Reader stream)

  Reinitialise.

### ReInit

    public void ReInit(HTMLParserTokenManager tm)

  Reinitialise.

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### generateParseException

    public ParseException generateParseException()

  Generate ParseException.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.